<?php
require_once('Utility.php');

$merchant_id = $_POST['merchantid'];
$merchant_key = $_POST['merchantKey'];
$url = 'https://pay.4jicao.com/api/pay/create_order';
$channelId = $_POST['channelid'];
$order_amount = $_POST['orderamount'];
$order_sn = $_SERVER['REQUEST_TIME'];
$Utility = new Utility();
$ip = $Utility->real_ip();
$notifyUrl = 'https://develop.iotpay.ca/demo/order/notify.php';
$subject = 'test';
$body = 'paytest';
if ($channelId == 'WX_NATIVE') {
    $sceneInfo = '{"productId":"' . intval($order_sn) . '"}';
} else {
    $sceneInfo = '';
}
$arr = array(
    'mchId' => $merchant_id,
    'mchOrderNo' => $order_sn,
    'extra' => $sceneInfo,
    'channelId' => $channelId,
    'currency' => 'CAD',
    'amount' => intval($order_amount * 100),
    'clientIp' => $ip,
    'device' => 'WEB',
    'notifyUrl' => $notifyUrl,
    'subject' => $subject,
    'body' => $body,
);
$sort_array = $Utility->arg_sort($arr);
$arr['sign'] = $Utility->build_mysign($sort_array, $merchant_key, "MD5");//Generate signature parameter sign
$param = 'params=' . json_encode($arr);
$resBody = $Utility->request($url, $param);//Submit to the gateway
$res = json_decode($resBody, true);
if ($res['retCode'] == 'SUCCESS' OR $res['resCode'] == 'SUCCESS') {
    switch ($channelId) {
        case 'ALIPAY_QR':
            $resarr = array(1, $res['qr_code']);  //alipay Scan code to pay url, need to generate QR code
            require_once './phpqrcode/phpqrcode.php';
            $QR = "./qrcode/" . $order_sn . ".png";
            QRcode::png($res['qr_code'], $QR, "L", 8);
            $img = '<img src="' . $QR . '" />';
            break;
        case 'WX_NATIVE':
            $resarr = array(1, $res['codeUrl']);//weixin Scan code to pay url, need to generate QR code
            require_once './phpqrcode/phpqrcode.php';
            $QR = "./qrcode/" . $order_sn . ".png";
            QRcode::png($res['codeUrl'], $QR, "L", 8);
            $img = '<img src="' . $QR . '" />';
            break;
        case 'ALIPAY_WAP':
        case 'ALIPAY_PC':
            echo $res['payUrl'];
            break;
    }
} else {
    echo 'Order payment failed!' . $res['retMsg'];
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>IoT-Pay Create Order Test Interface</title>
    <link rel="icon" type="image/png" href="https://develop.iotpay.ca/imgs/favicon64x64.png">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand mx-auto" href="#">
        <img src="https://develop.iotpay.ca/imgs/iot-logo.png" height="50" alt="">
    </a>
</nav>
<div class="container">
    <div class="col-xl-8 mx-auto py-5">
        <div class="mb-4">
            <h3>Create Order Test</h3>
        </div>
        <form action="createorder.php" method="post">
            <div class="form-group row">
                <div class="col-md-12">
                    <p align="center"><?php echo $img; ?></p>
                    <input type="button" class="btn btn-primary btn-block mt-5" value="GetNotify" onclick="Ajax();">
                    <div id="resText"></div>
                </div>
            </div>
        </form>
    </div>
</div>
</body>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
<script type="text/javascript">
    function Ajax() {
        $.ajax({
            type: "POST",
            url: "getnotify.php",
            data: {
                filename: '<?php echo $order_sn;?>' // < note use of 'this' here
            },
            success: function (result) {
                $("#resText").html(result);
            },
            error: function (result) {
                alert('error');
            }
        });
    }
</script>
</html>